For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
CommunityCreate AccountSign in
  • Overview
    • Welcome
    • Authentication
    • Using Environments
  • API Reference
      • POSTCreate Id
LogoLogo
LogoLogo
CommunityCreate AccountSign in
API ReferenceVersions

Create Id

Deprecated
POST
https://api.x.flatfile.com/v1/versions
POST
/v1/versions
$curl -X POST https://api.x.flatfile.com/v1/versions \
> -H "X-Disable-Hooks: true" \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "sheetId": "us_sh_YOUR_ID",
> "parentVersionId": "us_vr_YOUR_ID"
>}'
200Example0
1{
2 "data": {
3 "versionId": "us_vr_YOUR_ID"
4 }
5}
Was this page helpful?
Previous

List views by Sheet

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Headers

X-Disable-Hooks"true"Required

Request

This endpoint expects an object.
sheetIdstringOptional
The ID of the Sheet.
parentVersionIdstringOptional
Deprecated, creating or updating a group of records together will automatically generate a commitId to group those record changes together.

Response

This endpoint returns an object.
dataobject